<?php

/*
Plugin Name: Tweetable Text
Plugin URI: http://wordpress.org/extend/plugins/tweetable-text/
Description: Make your posts more shareable. Add a Tweet and Buffer button to key sentences right inside each blog post with a simple [tweetable] tag.
Version: 1.0
Author: Salim Virani
Author URI: http://saintsal.com

*/


//Stops WordPress from converting your quote symbols into smartquotes, since they are not compatible with the Twitter Share button. (The urlencoding of single quotes / apostrophes breaks in the tweet.)
remove_filter('the_content', 'wptexturize');

class TweetableText{
     function makeTweetable($atts, $content="") {
	 global $wpdb, $post;
	if(get_post_type($post) == "post") {
		$post_id = $post->ID;
		$permalink = get_permalink($post_id);

		$tweetcontent = ucfirst(strip_tags($content));
		if (isset($atts['hashtag'])) $tweetcontent .= " ".$atts['hashtag'];
		$ret = "<span class='tweetable'>";
		$ret .= "<a href='https://twitter.com/intent/tweet?original_referer=".urlencode($permalink)."&source=tweetbutton&text=".rawurlencode(($tweetcontent)) ."&url=".urlencode($permalink)."'>$content ";
		$ret .= "</a>";
		$ret .= "<span class='sharebuttons'>";
		$ret .= "<a href='https://twitter.com/share' class='twitter-share-button' data-url='{$permalink}' data-text='".str_replace("'", "&#039;", $tweetcontent)."' data-count='none'>Tweet</a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src='//platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document,'script','twitter-wjs');</script>";
	    	$ret .= "&nbsp;<a href='http://bufferapp.com/add' class='buffer-add-button' data-text='".str_replace("'", "&#039;", $tweetcontent)."' data-url='{$permalink}' data-count='none'>Buffer</a><script type='text/javascript' src='http://static.bufferapp.com/js/button.js'></script>";
		$ret .= "<span class='brand'><a href='http://wordpress.org/extend/plugins/tweetable-text/'>tweetable text</a></span>";
		$ret .= "</span>";
		$ret .= "</span>";
            return $ret;
	} else {
		return $content;
	}
     }
}

add_shortcode( 'tweetable', array('TweetableText', 'makeTweetable') );

function tweetabletext_header() {
?>
<script type="text/javascript" src="https://dl.dropbox.com/u/6606104/www/tweetable-text/v0.1/tweetabletext.js"></script>
<style>
	.tweetable {position: relative;}
	.tweetable a {text-decoration: none; border-bottom: 1px dotted #455169; color: #455169;}
	.sharebuttons {display: none; position: absolute; top:-45px; left: 10px; z-index: 101;  width: 115px; background: #fff; border: 1px dotted #333; height: 35px; padding: 5px; }
	.sharebuttons span.brand a {font-size: 10px; color: #999; text-decoration:none; display: block; padding: 0 0 0 25px; margin: 0; border: none; height: 12px; }
</style>
<?
}

if (!is_admin()) {
	add_action(  'wp_head', 'tweetabletext_header' ); 
}
?>
